package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lanhai
 */
public class ShopCityStatusVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "同城配送可用状态 : 1 可用 -1 不在范围内 -2 商家没有配置同城配送信息 -3 起送费不够", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer shopCityStatus;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getShopCityStatus() {
        return shopCityStatus;
    }

    public void setShopCityStatus(Integer shopCityStatus) {
        this.shopCityStatus = shopCityStatus;
    }

    public ShopCityStatusVO() {
    }

    public ShopCityStatusVO(Long shopId, Integer shopCityStatus) {
        this.shopId = shopId;
        this.shopCityStatus = shopCityStatus;
    }

    @Override
    public String toString() {
        return "ShopCityStatusVO{" +
                "shopId=" + shopId +
                ", shopCityStatus=" + shopCityStatus +
                '}';
    }
}
